GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/symfile-mem.c File Reference
`#include "defs.h"`
`#include "symtab.h"`
`#include "gdbcore.h"`
`#include "objfiles.h"`
`#include "gdbcmd.h"`
`#include "target.h"`
`#include "value.h"`
`#include "symfile.h"`
`#include "observer.h"`
`#include "auxv.h"`
`#include "elf/common.h"`
`#include "gdb_bfd.h"`

Go to the source code of this file.

## Functions
| gdb_static_assert (sizeof(CORE_ADDR)==sizeof(bfd_vma))
| gdb_static_assert (sizeof(gdb_byte)==sizeof(bfd_byte))
| gdb_static_assert (sizeof(ssize_t)<=sizeof(bfd_size_type))
static int | target_read_memory_bfd (bfd_vma memaddr, bfd_byte *myaddr, bfd_size_type len)
static struct objfile * | symbol_file_add_from_memory (struct bfd *templ, CORE_ADDR addr, size_t size, char *name, int from_tty)
static void | add_symbol_file_from_memory_command (const char *args, int from_tty)
static void | add_vsyscall_page (struct target_ops *target, int from_tty)
void | _initialize_symfile_mem (void)

## Function Documentation

## ◆ _initialize_symfile_mem()

void _initialize_symfile_mem | ( | void |  | ) |

Definition at line 220 of file symfile-mem.c.

References _, add_cmd(), add_symbol_file_from_memory_command(), add_vsyscall_page(), class_files, cmdlist, and observer_attach_inferior_created().

## ◆ add_symbol_file_from_memory_command()

static void add_symbol_file_from_memory_command | ( | const char * | args,
|  | int | from_tty
| ) |  |
| static

Definition at line 147 of file symfile-mem.c.

References _, error(), exec_bfd, parse_and_eval_address(), symbol_file_add_from_memory(), and symfile_objfile.

Referenced by _initialize_symfile_mem().

## ◆ add_vsyscall_page()

static void add_vsyscall_page | ( | struct target_ops * | target,
|  | int | from_tty
| ) |  |
| static

Definition at line 173 of file symfile-mem.c.

References _, CATCH, core_bfd, END_CATCH, exception_print(), exec_bfd, gdb_stderr, gdbarch_vsyscall_range(), mem_range::length, name, paddress(), RETURN_MASK_ALL, mem_range::start, symbol_file_add_from_memory(), target_gdbarch(), TRY, warning(), and xstrprintf().

Referenced by _initialize_symfile_mem().

## ◆ gdb_static_assert() [1/3]

gdb_static_assert | ( | sizeof(CORE_ADDR) | = `=sizeof(bfd_vma)` | ) |

## ◆ gdb_static_assert() [2/3]

gdb_static_assert | ( | sizeof(gdb_byte) | = `=sizeof(bfd_byte)` | ) |

## ◆ gdb_static_assert() [3/3]

gdb_static_assert | ( | sizeof(ssize_t)<=sizeof(bfd_size_type) |  | ) |

## ◆ symbol_file_add_from_memory()

static struct objfile* symbol_file_add_from_memory | ( | struct bfd * | templ,
|  | CORE_ADDR | addr,
|  | size_t | size,
|  | char * | name,
|  | int | from_tty
| ) |  |
| static

Definition at line 84 of file symfile-mem.c.

References _, add_target_sections_of_objfile(), other_sections::addr, alloc_section_addr_info(), do_cleanups(), error(), make_cleanup(), other_sections::name, name, new_bfd_ref(), section_addr_info::num_sections, OBJF_SHARED, section_addr_info::other, reinit_frame_cache(), other_sections::sectindex, size, symbol_file_add_from_bfd(), SYMFILE_VERBOSE, target_read_memory_bfd(), and xfree().

Referenced by add_symbol_file_from_memory_command(), and add_vsyscall_page().

## ◆ target_read_memory_bfd()

static int target_read_memory_bfd | ( | bfd_vma | memaddr,
|  | bfd_byte * | myaddr,
|  | bfd_size_type | len
| ) |  |
| static

Definition at line 68 of file symfile-mem.c.

References gdb_assert, and target_read_memory().

Referenced by symbol_file_add_from_memory().